<?php
namespace Claromentis\Core\Cache;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_db7b295629" . "faa16027a2c" . "263095eba70" => base64_decode("cGhwX3NhcGl" . "fbmFtZQ=="), "_8fd6da143a742433037d3741c26c9f1" . "4" => base64_decode("Q2xlYXJpbmcgbG9jYWwgYXNzZXRzIGNhY" . "2hl"), "_db98357e662ee4057f89ee5" . "0fd63a2c5" => base64_decode("Q2xlYXJpbmcgc2hhcmVkI" . "GFzc2V0cyBjYWNoZQ=="), "_282505db60" . "b6a60f1a0c5" . "4a0f8c27092" => base64_decode("VEVNUExBVEVSX0NB" . "Q0hFX0RJUg=="), "_22ac6aae2762" . "e0f310c495384" . "c477dc8" => base64_decode("Lmdpd" . "GtlZX" . "A="), "_3d13c2fddaab71a09eeaf2" . "2607f1db0f" => base64_decode("Q2xlYXJpbmc" . "gYWxsIHNoYX" . "JlZCBjYWNoZ" . "XM="), "_8368ecd0faa75c04b4e54eac3bd45d6" . "3" => base64_decode("Q2xlYXJpbmc" . "gbG9jYWxpem" . "F0aW9uIGNhY" . "2hl"), "_f02edf67305f5d" . "984784e5a63acb5" . "f0b" => base64_decode("U2tpcHBpbmcgY2xlYXJpbmcgbWVtb3J5IGNhY2hlcy" . "AocnVubmluZyBmcm9tIHRoZSBjb21tYW5kIGxpbmUp"), "_edd716f0baedc" . "2427c121be529b" . "f222d" => base64_decode("Q2xlYXJpbmcgYWxsIGxvY2FsIGNhY" . "2hlcw=="), "_d9040256bff96ad2c221f7" . "9439e0560c" => base64_decode("Q2xlYXJp" . "bmcgZGly" . "ZWN0b3J5" . "IA=="), "_2935eb81473a5cdf164ba5" . "2dc31d305c" => base64_decode("Q2xlYXJpbmcgbWVtb3J5IGNhY2hl" . "cw=="), "_4d707fa" . "b93bebb0" . "0bbe69e8" . "159697c9" . "0" => base64_decode(""), "_8fec21706bd243b37ecf62b1caf8f" . "b8a" => base64_decode("Y2x" . "p"), "_2ac6cb432a5df959efdffbcd288d0" . "745" => base64_decode("Q2xlYXJpbmcgdGVtcGxhdGVyIGNhY2" . "hl"));
use ClaCache;
use Claromentis\Core\Assets\AssetsPathGenerator;
use Claromentis\Core\Config\Config;
use Claromentis\Core\Localization\LocalizationPathGenerator;
use Claromentis\Core\Util\FilesystemUtil;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\NullLogger;




class CacheClearer
{
    use LoggerAwareTrait;
    protected FilesystemUtil $filesystem_util;
    
    
    
    
    private $i18n_dir;
    
    
    
    
    private $assets_cache_dir;
    
    
    
    
    private $shared_assets_cache_dir;
    
    
    
    
    private $templater_cache_dir;
    
    
    
    
    private $cache_types;
    
    
    
    
    
    
    
    
    
    public function __construct(FilesystemUtil $_3e9dd802f6570205386040c44f4fa34c, AssetsPathGenerator $_d97d6167740e659d41e6072afead2dee, LocalizationPathGenerator $_d4919729bcd109cabacba2d3cebe6527, Config $config)
    {
        $this->filesystem_util = $_3e9dd802f6570205386040c44f4fa34c;
        $this->i18n_dir = $_d4919729bcd109cabacba2d3cebe6527->GetCacheRoot();
        $this->assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetLocalCachePath();
        $this->shared_assets_cache_dir = $_d97d6167740e659d41e6072afead2dee->GetSharedCachePath();
        $this->cache_types = ClaCache::PRIMARY_CACHES;
        $this->templater_cache_dir = $config->get($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_282505db60b6a60f1a0c54a0f8c2709" . "2"]);
        $this->logger = new NullLogger();
    }
    
    
    
    
    public function Clear()
    {
        $this->Reset();
        $this->ResetShared();
    }
    
    
    
    
    public function Reset()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_edd716f0baedc2427c121" . "be529bf222d"]);
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_db7b295629faa16027a2" . "c263095eba70"]() !== $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_8fec21706bd243b37ecf62b1caf8fb8" . "a"]) {
            $this->ClearCla();
        } else {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_f02edf67305f5d984784e5" . "a63acb5f0b"]);
        }
        $this->ClearLocalization();
        $this->ClearTemplater();
        $this->ClearAssets();
    }
    public function ResetShared()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_3d13c2fddaab71a" . "09eeaf22607f1db0" . "f"]);
        $this->ClearAssetsShared();
    }
    
    
    
    
    
    
    public function ClearLocalization()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_8368ecd0faa75c04b4e54eac3" . "bd45d63"]);
        return $this->ClearDirectory($this->i18n_dir);
    }
    
    
    
    
    
    
    public function ClearAssets()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8fd6da143a742433037d3741c26c9" . "f14"]);
        return $this->ClearDirectory($this->assets_cache_dir);
    }
    public function ClearAssetsShared()
    {
        $this->logger->info($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_db98357e662ee4057f89e" . "e50fd63a2c5"]);
        $this->ClearDirectory($this->shared_assets_cache_dir);
    }
    
    
    
    
    public function ClearCla()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_2935eb8" . "1473a5cd" . "f164ba52" . "dc31d305" . "c"]);
        foreach ($this->cache_types as $type) {
            ClaCache::I($type)->Clear($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4d707fab93bebb0" . "0bbe69e8159697c9" . "0"]);
        }
        ClaCache::Clear($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4d707fab93bebb00bbe69e8159697c9" . "0"], true);
    }
    public function ClearTemplater()
    {
        $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_2ac6cb43" . "2a5df959e" . "fdffbcd28" . "8d0745"]);
        return $this->ClearDirectory($this->templater_cache_dir);
    }
    
    
    
    
    
    
    
    private function ClearDirectory($_c4f3321d131869e51a8844b6bcd8fb86)
    {
        $this->logger->debug($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_d9040256bff96ad2c22" . "1f79439e0560c"] . $_c4f3321d131869e51a8844b6bcd8fb86);
        return $this->filesystem_util->DeleteDir($_c4f3321d131869e51a8844b6bcd8fb86, false, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_22ac6aae2762" . "e0f310c495384" . "c477dc8"]);
    }
}